# $Revision: 1.107.2.20 $, $Date: 2007/03/21 22:31:05 $
#
%define		basever	2.14
Summary:	Epiphany - gecko-based GNOME web browser
Summary(es):	Epiphany - navigador Web de GNOME basado en gecko
Summary(pl):	Epiphany - przegldarka WWW dla GNOME
Name:		epiphany
Version:	2.14.3
Release:	9
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://ftp.gnome.org/pub/gnome/sources/epiphany/%{basever}/%{name}-%{version}.tar.bz2
# Source0-md5:	40ec39f661ed603d15dc01c86e08d384
Patch0:		%{name}-first-tab.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-mozilla_includes.patch
Patch3:		%{name}-pld-homepage.patch
Patch4:		%{name}-configure.patch
Patch5:		%{name}-no_typeaheadfind_check.patch
Patch6:		%{name}-gecko-1_8_1-fix.patch
Patch7:		%{name}-agent.patch
URL:		http://www.gnome.org/projects/epiphany/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	ORBit2-devel >= 1:2.14.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1.8
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-desktop-devel >= 2.14.2
BuildRequires:	gnome-doc-utils >= 0.3.2-1
BuildRequires:	gnome-vfs2-devel >= 2.14.2
BuildRequires:	gtk+2-devel >= 2:2.8.18
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	intltool >= 0.33
BuildRequires:	iso-codes >= 0.35
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeprintui-devel >= 2.12.0
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libtool
BuildRequires:	libxslt-devel >= 1.1.15
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires:	xulrunner >= 1.8.0.4
BuildRequires:	xulrunner-devel >= 1.8.0.4
BuildRequires:	pkgconfig
BuildRequires:	python-gnome-devel >= 2.6.0
BuildRequires:	python-pygtk-devel >= 2.6.0
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	dbus >= 0.60
Requires:	gnome-icon-theme >= 2.14.0
Requires:	gtk+2 >= 2:2.8.18
Requires:	libgnomeui >= 2.14.1
%requires_eq	xulrunner
Obsoletes:	python-epiphany
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# can be provided by mozilla or mozilla-embedded
%define		_noautoreqdep	libgtkembedmoz.so libgtksuperwin.so libxpcom.so

%description
GNOME browser based on Gecko (Mozilla rendering engine).

%description -l es
Navigador Web de GNOME basado en Gecko (el engine plasmante de
Mozilla).

%description -l pl
Epiphany jest przegldark WWW bazujc na Gecko (mechanizmie
interpretacji stron Mozilli).

%package devel
Summary:	Epiphany header files
Summary(es):	Ficheros de cabecera de Epiphany
Summary(pl):	Pliki nagwkowe Epiphany
Group:		X11/Applications/Networking
# doesn't require base
Requires:	gtk+2-devel >= 2:2.8.18
Requires:	libxslt-devel >= 1.1.15

%description devel
Epiphany header files for plugin development.

%description devel -l es
Ficheros de cabecera de Epiphany para desarrollar plug-ins.

%description devel -l pl
Pliki nagwkowe Epiphany do tworzenia wtyczek.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p1
%patch7 -p1

%build
gnome-doc-prepare --copy --force
%{__gnome_doc_common}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}

%configure \
	--disable-schemas-install \
	--enable-dbus \
	--enable-gtk-doc \
	--enable-python \
	--with-gecko=xulrunner \
	--with-html-dir=%{_gtkdocdir}
# CFLAGS is a hack for gcc 3.3
%{__make} \
	CFLAGS="%{rpmcflags} -fno-strict-aliasing"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/%{basever}/extensions

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no
rm -f $RPM_BUILD_ROOT%{_libdir}/epiphany/%{basever}/plugins/*.la

# epiphany-2.0.mo, but gnome/help/epiphany
%find_lang %{name}-2.0 --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install epiphany-fonts.schemas
%gconf_schema_install epiphany-lockdown.schemas
%gconf_schema_install epiphany-pango.schemas
%gconf_schema_install epiphany.schemas
%scrollkeeper_update_post
%update_desktop_database_post

%preun
%gconf_schema_uninstall epiphany-fonts.schemas
%gconf_schema_uninstall epiphany-lockdown.schemas
%gconf_schema_uninstall epiphany-pango.schemas
%gconf_schema_uninstall epiphany.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun

%files -f %{name}-2.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/%{name}
%{_desktopdir}/*
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/epiphany-fonts.schemas
%{_sysconfdir}/gconf/schemas/epiphany-lockdown.schemas
%{_sysconfdir}/gconf/schemas/epiphany-pango.schemas
%{_sysconfdir}/gconf/schemas/epiphany.schemas
%{_omf_dest_dir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{basever}
%dir %{_libdir}/%{name}/%{basever}/extensions
%dir %{_libdir}/%{name}/%{basever}/plugins
%attr(755,root,root) %{_libdir}/epiphany/%{basever}/plugins/*.so*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%{_aclocaldir}/*
%{_includedir}/epiphany
%{_pkgconfigdir}/*.pc
%{_datadir}/pygtk/*/defs/epiphany.defs
%{_gtkdocdir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: epiphany.spec,v $
Revision 1.107.2.20  2007/03/21 22:31:05  hawk
- added agent patch
- release 9 (xulrunner 1.8.1.3)

Revision 1.107.2.19  2007/02/26 12:02:19  hawk
- release 8

Revision 1.107.2.18  2007/01/25 13:15:36  hawk
- dropped mozilla_firefox bcond, firefox no longer provides devel package

Revision 1.107.2.17  2007/01/07 18:01:51  glen
- adapter

Revision 1.107.2.16  2007/01/07 18:01:19  glen
- BR: xulrunner to test typeaheadfind xpt

Revision 1.107.2.15  2007/01/03 18:28:06  hawk
- specify which mozilla to use for compilation, autodetect fails with
  more than one gecko installed
- fixed compilation error with gecko 1.8.1

Revision 1.107.2.14  2007/01/01 19:29:41  hawk
- mozilla is dead, replaced mozilla deps with xulrunner deps
- build against xulrunner by default
- added ugly hack to make it compile with xulrunner/firefox2
- release 7

Revision 1.107.2.13  2006/12/18 17:44:23  baggins
- rel 6.1
- working out firefox problems

Revision 1.107.2.12  2006/12/08 14:55:14  glen
- rel 6 (fixed empty commit message)

Revision 1.107.2.11  2006/12/08 14:23:51  glen
- rel 5 (mozilla-firefox-2.0)

Revision 1.107.2.10  2006/11/26 11:22:34  glen
- rel 4 (mozilla-firefox 1.5.0.8)

Revision 1.107.2.9  2006/09/15 18:20:59  glen
- rel 3 (mozilla-firefox 1.5.0.7)

Revision 1.107.2.8  2006/08/03 12:01:12  hawk
- release 2

Revision 1.107.2.7  2006/08/01 16:21:45  havner
- rel 1

Revision 1.107.2.6  2006/08/01 08:24:24  havner
- 2.14.3

Revision 1.107.2.5  2006/07/29 10:17:37  freetz
- rel.2 for rebuild with firefox 1.5.0.5
----------------------------------------------------------------------

Revision 1.107.2.4  2006/05/31 19:22:25  freetz
- 2.14.2.1, GNOME 2.14.2 deps

Revision 1.107.2.3  2006/05/19 15:46:31  freetz
- 2.14.1.1

Revision 1.107.2.2  2006/05/18 21:44:36  baggins
- release 4
- strict reqs

Revision 1.107.2.1  2006/05/15 16:04:31  baggins
- merged from HEAD

Revision 1.112  2006/05/05 14:54:43  wrobell
- rel. 3 to rebuild with mozilla firefox 1.5.0.3

Revision 1.111  2006/04/17 16:07:48  wrobell
- build with firefox by default
- rel. 2

Revision 1.110  2006/04/10 21:30:14  freetz
- 2.14.1

Revision 1.109  2006/04/02 14:45:40  freetz
- merged from DEVEL

Revision 1.105.2.7  2006/03/12 20:59:03  freetz
- 2.14.0, define and use basever

Revision 1.105.2.6  2006/03/06 22:16:12  freetz
- 1.9.99

Revision 1.105.2.5  2006/02/28 14:58:17  freetz
- 1.9.8

Revision 1.105.2.4  2006/02/14 08:48:48  freetz
- 1.9.7, removed obsoleted m4 patch

Revision 1.105.2.3  2006/02/01 18:01:18  freetz
- m4 fix added

Revision 1.105.2.2  2006/02/01 17:28:29  freetz
- 1.9.6, configure patch (aginst mozilla madness), files list update

Revision 1.105.2.1  2005/10/25 19:17:46  paladine
- updated to 1.9.1

Revision 1.108  2006/02/15 07:22:07  freetz
- 1.8.5 (important bugfix release)

Revision 1.107  2006/02/08 16:32:20  freetz
- 1.8.4.1

Revision 1.106  2005/11/28 18:05:07  freetz
- 1.8.3

Revision 1.105  2005/10/04 09:01:39  paladine
- updated to 1.8.2

Revision 1.104  2005/09/08 07:40:20  paladine
- rel. 2 for fixed mozilla_includes patch

Revision 1.103  2005/09/07 19:53:45  freetz
- O: python-epiphany

Revision 1.102  2005/09/06 18:14:27  freetz
- merged from DEVEL

Revision 1.99.2.13  2005/09/05 14:56:31  aflinta
- to avoid build documentations problems, we should require libxslt not libxml2

Revision 1.99.2.12  2005/09/05 12:53:28  paladine
- updated to 1.8.0

Revision 1.99.2.11  2005/08/28 20:30:40  paladine
- updated to 1.7.6
- enabled dbus and python support

Revision 1.99.2.10  2005/08/21 09:53:35  wiget
- update to 1.7.5

Revision 1.99.2.9  2005/08/21 05:28:06  wiget
- BR libgnomeprintui builded with new cairo

Revision 1.99.2.8  2005/08/18 09:31:54  aflinta
- rebuild with cairo, rel. 2

Revision 1.99.2.7  2005/08/09 14:18:21  paladine
- updated to 1.7.4
- itemize schemas

Revision 1.99.2.6  2005/08/08 15:50:51  paladine
- added pld-homepage patch, rel. 2

Revision 1.99.2.5  2005/07/27 15:08:04  wiget
- BR gnome-doc-utils 0.3.2

Revision 1.99.2.4  2005/07/27 10:58:35  paladine
- updated to 1.7.3
- updated mozilla patch
- gnome-doc-utils for omf docs

Revision 1.99.2.3  2005/07/26 15:34:27  wiget
- BR python-gnome-devel, rel 3

Revision 1.99.2.2  2005/07/26 12:56:03  paladine
- proper extensions dir, rel. 2

Revision 1.99.2.1  2005/07/12 12:33:04  freetz
- 1.7.2, updated BRs, cleanups
